<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
	<form-beans>
<!--	FORMULARIOS-->
		<form-bean
				name="w83aFormCuadroResumen"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="boton"	type="java.lang.String"/>
					<form-property name="w83aResultadosBean" type="w83a.w83aBeans.W83aResultadosBean"/>
		</form-bean>
		<form-bean
				name="w83aFormDelegadosConvenio"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="boton"	type="java.lang.String"/>
					<form-property name="w83aResultadosBean" type="w83a.w83aBeans.W83aResultadosBean"/>
		</form-bean>
		<form-bean
				name="w83aFormCentroSindicato"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
					<form-property name="boton"	type="java.lang.String"/>
					<form-property name="w83aResultadosBean" type="w83a.w83aBeans.W83aResultadosBean"/>
		</form-bean>
		
<!--	CONTEXTOS-->
	<form-bean name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">				   
			<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.resultados"/>
			<form-property name="strTitleKey" type="java.lang.String" initial=""/>
			<form-property name="boton"	type="java.lang.String"/>
			<form-property name="w83aResultadosBean" type="w83a.w83aBeans.W83aResultadosBean"/>
			<form-property name="w83aMapResultadosBean" type="java.util.Map"/>
			<form-property name="w83aMapResultadosBeanTemp" type="java.util.Map"/>
			<form-property name="w83aMapCabeceraResultadosBean" type="java.util.Map"/>
			<form-property name="w83aMapResMenorIgual49Bean" type="java.util.Map"/>
			<form-property name="w83aMapResMayor49Bean" type="java.util.Map"/>	
			<form-property name="contarResultados" type="java.lang.String"/>
			<form-property name="w83aListadoResultadosBean" type="java.util.List"/>
			<form-property name="w83aListadoResultadosBeanTemp" type="java.util.List"/>
			<form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.resultados"/>
	</form-bean>	
	
	</form-beans>
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
   		<!--	MOSTRAR PÁGINAS-->
		<action path ="/w83aInicioMenuResultados" type="w83a.w83aOperacionesPaso.w83aResultados.W83aInicioMenuResultOPAction" 
			 validate="false">
			<forward name="ok" path="paginaMenuResultados"/>
		</action>	 
		
		<action path="/w83aInicioCuadroResumen" 
		name="w83aFormCuadroResumen" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aInicioCuadroResumenOPAction" 
			 validate="false">
			<forward name="ok" path="cuadroResumenResultados"/>
		</action>	
		<action path="/w83aInicioDelegadosConvenio" 
		name="w83aFormDelegadosConvenio" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aInicioDelegadosConvenioOPAction" 
			 validate="false">
			<forward name="ok" path="delegadosConvenioResultados"/>
		</action>
		<action path="/w83aInicioCentroSindicato" 
		name="w83aFormCentroSindicato" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aInicioCentroSindicatoOPAction" 
			 validate="false">
			<forward name="ok" path="delegadosCentroSindicato"/>
		</action>		
		<action
				path="/w83aDispatchCuadroResumen"
				name="w83aFormCuadroResumen"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83aBusqLibroRegActas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83aInicioMenuResultados.do"/>
				<forward
					name="unoexcel"
					path="/w83aCrearExcelCuadroResultadosClasif.do"/>
				<forward
					name="dosexcel"
					path="/w83aCrearExcelCuadroResultados.do"/>
				<forward
					name="unopdf"
					path="/w83aCrearPdfCuadroResultadosClasif.do"/>
				<forward
					name="dospdf"
					path="/w83aCrearPdfCuadroResultados.do"/>
		</action>
		<action
				path="/w83aDispatchDelegadosPorConvenio"
				name="w83aFormDelegadosConvenio"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83aInicioMenuResultados.do"/>
				<forward
					name="excel"
					path="/w83aCrearExcelDelegConvenio.do"/>
				<forward
					name="exceldet"
					path="/w83aCrearExcelDelegConvenioDetCentro.do"/>
				<forward
					name="pdf"
					path="/w83aCrearPdfDelegConvenio.do"/>
				<forward
					name="pdfdet"
					path="/w83aCrearPdfDelegConvenioDetCentro.do"/>
		</action>
		<action
				path="/w83aDispatchResultadosCentroSindicato"
				name="w83aFormCentroSindicato"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83acomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqLibroRegActas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83aInicioMenuResultados.do"/>
				<forward
					name="excel"
					path="/w83aCrearExcelResCentroSindicato.do"/>
				<forward
					name="pdf"
					path="/w83aCrearPdfResCentroSindicato.do"/>
		</action>
		<action path="/w83aBusqCuadroResultadosOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aBusqCuadroResultadosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aBusqCabeceraCuadroResultados.do"/>
			<forward name="error" path="/w83aInicioCuadroResumen.do"/>
		</action>
		<action path ="/w83aBusqCabeceraCuadroResultados" 
			 parameter="w83aBusqCabeceraCuadroResultadosOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqCuadroResultados.do" />
					<forward name="error" path="/w83aInicioCuadroResumen.do" />
		</action>
		<action path ="/w83aBusqCuadroResultados" 
			 parameter="w83aBusqCuadroResultadosOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqCuadroResultadosOutOP.do" />
					<forward name="error" path="/w83aInicioCuadroResumen.do" />
		</action>	
		<action path="/w83aBusqCuadroResClasifOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aBusqCuadroResultadosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aBusqCabCuadroResClasif.do"/>
			<forward name="error" path="/w83aInicioCuadroResumen.do"/>
		</action>
		<action path ="/w83aBusqCabCuadroResClasif" 
			 parameter="w83aBusqCabeceraCuadroResClasifOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqCuadroResMenorIgual49.do" />
					<forward name="error" path="/w83aInicioCuadroResumen.do" />
		</action>
		<action path ="/w83aBusqCuadroResMenorIgual49" 
			 parameter="w83aBusqCuadroResMenorIgual49OI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqCuadroResMayor49.do" />
					<forward name="error" path="/w83aInicioCuadroResumen.do" />
		</action>
		<action path ="/w83aBusqCuadroResMayor49" 
			 parameter="w83aBusqCuadroResMayor49OI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqCuadroResultadosOutOP.do" />
					<forward name="error" path="/w83aInicioCuadroResumen.do" />
		</action>
		<action path="/w83aBusqCuadroResultadosOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aCuadroResultadosOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearExcelCuadroResultados" 
		name="w83aFormCuadroResumen" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaCuadroResultadosExcelAction" 
			 validate="false">
		</action>	
		<action path="/w83aCrearExcelCuadroResultadosClasif" 
		name="w83aFormCuadroResumen" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaCuadroResultadosClasifExcelAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearPdfCuadroResultados" 
			name="w83aFormCuadroResumen" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaCuadroResultadosPdfAction" 
					validate="false">
		</action>
		<action path="/w83aCrearPdfCuadroResultadosClasif" 
			name="w83aFormCuadroResumen" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaCuadroResultadosClasifPdfAction" 
					validate="false">
		</action>	
		<action path="/w83aDelegadosConvenioOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aDelegadosConvenioOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aContarBusqDelegConvenio.do"/>
			<forward name="error" path="/w83aInicioDelegadosConvenio.do"/>
		</action>
		<action path ="/w83aContarBusqDelegConvenio" 
			 parameter="w83aContarBusqDelegConvenioOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqDelegConvenio.do" />
					<forward name="error" path="/w83aInicioDelegadosConvenio.do" />
		</action>
		<action path ="/w83aBusqDelegConvenio" 
			 parameter="w83aBusqDelegConvenioOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aTerminarBucleResultadosOPAction.do" />
					<forward name="error" path="/w83aInicioDelegadosConvenio.do" />
		</action>
		<action path="/w83aTerminarBucleResultadosOPAction" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTerminarBucleResultadosOPAction" 
			 validate="false">
			 		<forward name="resCentroSindicato" path="/w83aBusqResultadosCentroSindicato.do"/>
					<forward name="delegadosPorConvenio" path="/w83aBusqDelegConvenio.do"/>
					<forward name="finBucleresCentroSindicato" path="/w83aBusqResCentroSindOutOP.do"/>
					<forward name="finBucledelegadosPorConvenio" path="/w83aProcesoDelegadosConvenioOPAction.do"/>
		</action>
		<action path="/w83aProcesoDelegadosConvenioOPAction" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aProcesoDelegadosConvenioOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aDelegadosConvenioOutOP.do"/>
		</action>
		<action path="/w83aDelegadosConvenioOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aDelegadosConvenioOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearExcelDelegConvenio" 
		name="w83aFormDelegadosConvenio" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaDelegConvenioExcelAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearExcelDelegConvenioDetCentro" 
		name="w83aFormDelegadosConvenio" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaDelegConvDetCentroExcelAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearPdfDelegConvenio" 
		name="w83aFormDelegadosConvenio" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaDelegConvenioPdfAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearPdfDelegConvenioDetCentro" 
		name="w83aFormDelegadosConvenio" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaDelegConvDetCentroPdfAction" 
			 validate="false">
		</action>
		
		<action path="/w83aBusqResultadosCentroSindicatoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aBusqResCentroSindicatoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aContarBusqResultadosCentroSindicato.do"/>
			<forward name="error" path="/w83aInicioCentroSindicato.do"/>
		</action>
		
		<action path ="/w83aContarBusqResultadosCentroSindicato" 
			 parameter="w83aContarBusqResCenSindOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aBusqResultadosCentroSindicato.do" />
					<forward name="error" path="/w83aInicioCentroSindicato.do" />
		</action>
		
		<action path ="/w83aBusqResultadosCentroSindicato" 
			 parameter="w83aBusqResCenSindOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83aTerminarBucleResultadosOPAction.do" />
					<forward name="error" path="/w83aInicioCentroSindicato.do" />
		</action>
		<action path="/w83aBusqResCentroSindOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aResultadosOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearExcelResCentroSindicato" 
		name="w83aFormCentroSindicato" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaResCentroSindExcelAction" 
			 validate="false">
		</action>
		<action path="/w83aCrearPdfResCentroSindicato" 
		name="w83aFormCentroSindicato" scope="request" type="w83a.w83aOperacionesPaso.w83aResultados.W83aTablaResCentroSindPdfAction" 
			 validate="false">
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83a.xml"/>
	    <set-property property="i18nKey" value="w83acomun" />
	</plug-in>

</struts-config>